#ifndef GETSCREENSHOT_H
#define GETSCREENSHOT_H

#include <QQuickPaintedItem>
#include <QPainter>
#include <QScreen>
#include <QGSettings/QGSettings>
#if QT_VERSION >= QT_VERSION_CHECK(5,15,0)
#include <QtQml/qqml.h>
#endif

class GetScreenShot : public QQuickPaintedItem
{
    Q_OBJECT
#if QT_VERSION >= QT_VERSION_CHECK(5,15,0)
    QML_ELEMENT
#endif
    Q_PROPERTY(QString background READ background WRITE setBackground NOTIFY backgroundChanged)

public:
    GetScreenShot();
    Q_INVOKABLE void paint(QPainter *painter) override;
    Q_INVOKABLE void getScreen();

    QString background() const;
    void setBackground(const QString &background);

Q_SIGNALS:
    void backgroundChanged();

private:
    QScreen *m_screen;
    bool m_flag = false;

    QGSettings* m_backgroundGSettings;
    QString m_url;
    QString m_background;
};

#endif // GETSCREENSHOT_H
